diff mbox

[OSSTEST,08/11] ts-memdisk-try-append: introduce a script to test memdisk options

Message ID 20170728152637.20301-9-roger.pau@citrix.com (mailing list archive)
State New, archived
Headers show

Commit Message

Roger Pau Monne July 28, 2017, 3:26 p.m. UTC
The intended usage is to run this script against every host in order
to record the possible needed memdisk flags.

Signed-off-by: Roger Pau Monné <roger.pau@citrix.com>
---
 ts-memdisk-try-append | 27 +++++++++++++++++++++++++++
 1 file changed, 27 insertions(+)
 create mode 100755 ts-memdisk-try-append

Comments

Ian Jackson July 28, 2017, 3:47 p.m. UTC | #1
Roger Pau Monne writes ("[PATCH OSSTEST 08/11] ts-memdisk-try-append: introduce a script to test memdisk options"):
> The intended usage is to run this script against every host in order
> to record the possible needed memdisk flags.

Acked-by: Ian Jackson <ian.jackson@eu.citrix.com>

Except that I think my other comments are going to mean you need to
change this to 1. be conditional on arch 2. pass an extra
--store-memdisk-property or something argument.

Ian.
diff mbox

Patch

diff --git a/ts-memdisk-try-append b/ts-memdisk-try-append
new file mode 100755
index 00000000..9c6b56f2
--- /dev/null
+++ b/ts-memdisk-try-append
@@ -0,0 +1,27 @@ 
+#!/bin/bash
+
+# This is part of "osstest", an automated testing framework for Xen.
+# Copyright (C) 2017 Citrix Inc.
+#
+# This program is free software: you can redistribute it and/or modify
+# it under the terms of the GNU Affero General Public License as published by
+# the Free Software Foundation, either version 3 of the License, or
+# (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+# GNU Affero General Public License for more details.
+#
+# You should have received a copy of the GNU Affero General Public License
+# along with this program.  If not, see <http://www.gnu.org/licenses/>.
+
+set -xe -o posix
+
+if ./ts-freebsd-host-install --testboot $@; then
+    exit 0
+elif ./ts-freebsd-host-install --testboot --memdiskappend="raw" $@; then
+    exit 0
+fi
+
+exit 1